﻿using Android.App;
using Android.OS;
using ThinkGeo.MapSuite.AndroidEdition;
using ThinkGeo.MapSuite.Core;

namespace GoogleSample
{
    [Activity(Label = "GoogleSample", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            SetContentView(Resource.Layout.Main);

            MapView androidMap = FindViewById<MapView>(Resource.Id.androidmap);
            androidMap.MapUnit = GeographyUnit.Meter;
            androidMap.ZoomLevelSet = new GoogleMapsZoomLevelSet();

            GoogleMapsTileOverlay googleMapsOverlay = new GoogleMapsTileOverlay();
            googleMapsOverlay.TileType = TileType.MultiTile;
            androidMap.Overlays.Add(googleMapsOverlay);

            androidMap.CurrentExtent = googleMapsOverlay.GetBoundingBox();
        }
    }
}

